package com.example.cuida.data.model;

import com.google.gson.annotations.SerializedName;

public class Perfil {
    @SerializedName("id")
    private String id;

    @SerializedName("nome_completo")
    private String nome_completo;

    @SerializedName("idade")
    private int idade;

    @SerializedName("numero_utente")
    private String numero_utente;

    @SerializedName("gmail")
    private String gmail;

    @SerializedName("sexo")
    private String sexo;

    public Perfil(String id, String nome, int idade, String utente, String email, String sexo) {
        this.id = id;
        this.nome_completo = nome;
        this.idade = idade;
        this.numero_utente = utente;
        this.gmail = email;
        this.sexo = sexo;
    }

    // Getters
    public String getId() {
        return id;
    }

    public String getNomeCompleto() {
        return nome_completo;
    }

    public int getIdade() {
        return idade;
    }

    public String getNumeroUtente() {
        return numero_utente;
    }

    public String getGmail() {
        return gmail;
    }

    public String getSexo() {
        return sexo;
    }

    // Setters
    public void setId(String id) {
        this.id = id;
    }

    public void setNomeCompleto(String nome_completo) {
        this.nome_completo = nome_completo;
    }

    public void setIdade(int idade) {
        this.idade = idade;
    }

    public void setNumeroUtente(String numero_utente) {
        this.numero_utente = numero_utente;
    }

    public void setGmail(String gmail) {
        this.gmail = gmail;
    }

    public void setSexo(String sexo) {
        this.sexo = sexo;
    }
}
